EG8CK(3)

SYNOPSIS
SUBROUTINE EG8CK (LUN, KPRINT, IPASS)

NAME
eg8ck - Quick check for EXINT and GAUS8.

LIBRARY
SLATEC

TYPE
SINGLE PRECISION (EG8CK-S, DEG8CK-D)

KEYWORDS
QUICK CHECK

AUTHOR
Amos, D. E., (SNLA)

DESCRIPTION
EG8CK is a quick check routine for EXINT and GAUS8. Exponential integrals from EXINT are checked against quadratures from GAUS8.

ROUTINES CALLED
EXINT, FEIN, GAUS8, R1MACH

COMMON BLOCKS
FEINX

REVISION HISTORY (YYMMDD)
800501 DATE WRITTEN
890718 Added check when testing error conditions. (WRB)
890718 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
910708 Code revised to test error returns for all values of KPRINT. (WRB)
920206 Corrected argument list in CALL to EXINT. (WRB)